VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   2520
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8055
   LinkTopic       =   "Form1"
   ScaleHeight     =   2520
   ScaleWidth      =   8055
   StartUpPosition =   3  'Windows Default
   Begin VB.ComboBox cboShowStyle 
      Height          =   315
      ItemData        =   "Form1.frx":0000
      Left            =   1080
      List            =   "Form1.frx":0028
      Style           =   2  'Dropdown List
      TabIndex        =   10
      Top             =   1560
      Width           =   2295
   End
   Begin VB.TextBox txtDirectory 
      Height          =   285
      Left            =   1080
      TabIndex        =   7
      Top             =   1200
      Width           =   6855
   End
   Begin VB.TextBox txtParameters 
      Height          =   285
      Left            =   1080
      TabIndex        =   5
      Top             =   840
      Width           =   6855
   End
   Begin VB.ComboBox cboOperation 
      Height          =   315
      ItemData        =   "Form1.frx":00D9
      Left            =   1080
      List            =   "Form1.frx":00EC
      Style           =   2  'Dropdown List
      TabIndex        =   3
      Top             =   120
      Width           =   2295
   End
   Begin VB.CommandButton cmdExecute 
      Caption         =   "Execute"
      Default         =   -1  'True
      Height          =   375
      Left            =   3600
      TabIndex        =   2
      Top             =   2040
      Width           =   855
   End
   Begin VB.TextBox txtFile 
      Height          =   285
      Left            =   1080
      TabIndex        =   1
      Text            =   "C:\Temp"
      Top             =   480
      Width           =   6855
   End
   Begin VB.Label Label1 
      Caption         =   "Show Style"
      Height          =   255
      Index           =   4
      Left            =   120
      TabIndex        =   9
      Top             =   1560
      Width           =   855
   End
   Begin VB.Label Label1 
      Caption         =   "Directory"
      Height          =   255
      Index           =   3
      Left            =   120
      TabIndex        =   8
      Top             =   1200
      Width           =   855
   End
   Begin VB.Label Label1 
      Caption         =   "Parameters"
      Height          =   255
      Index           =   2
      Left            =   120
      TabIndex        =   6
      Top             =   840
      Width           =   855
   End
   Begin VB.Label Label1 
      Caption         =   "File"
      Height          =   255
      Index           =   1
      Left            =   120
      TabIndex        =   4
      Top             =   480
      Width           =   855
   End
   Begin VB.Label Label1 
      Caption         =   "Operation"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   855
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function ShellExecute Lib "shell32.dll" Alias "ShellExecuteA" (ByVal hWnd As Long, ByVal lpOperation As String, ByVal lpFile As String, ByVal lpParameters As String, ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long
Private Const SW_HIDE = 0
Private Const SW_MAXIMIZE = 3
Private Const SW_MINIMIZE = 6
Private Const SW_RESTORE = 9
Private Const SW_SHOW = 5
Private Const SW_SHOWDEFAULT = 10
Private Const SW_SHOWMAXIMIZED = 3
Private Const SW_SHOWMINIMIZED = 2
Private Const SW_SHOWMINNOACTIVE = 7
Private Const SW_SHOWNA = 8
Private Const SW_SHOWNOACTIVATE = 4
Private Const SW_SHOWNORMAL = 1

Private Const ERROR_FILE_NOT_FOUND = 2&
Private Const ERROR_PATH_NOT_FOUND = 3&
Private Const ERROR_BAD_FORMAT = 11&
Private Const SE_ERR_ACCESSDENIED = 5            '  access denied
Private Const SE_ERR_ASSOCINCOMPLETE = 27
Private Const SE_ERR_DDEBUSY = 30
Private Const SE_ERR_DDEFAIL = 29
Private Const SE_ERR_DDETIMEOUT = 28
Private Const SE_ERR_DLLNOTFOUND = 32
Private Const SE_ERR_NOASSOC = 31
Private Const SE_ERR_OOM = 8                     '  out of memory
Private Const SE_ERR_SHARE = 26

Private Const STYLE_NORMAL = 11

' Set appropriate options for this operation.
Private Sub cboOperation_Click()
Dim app_path As String

    app_path = App.Path
    If Right$(app_path, 1) <> "\" Then app_path = app_path & "\"

    Select Case cboOperation.Text
        Case "edit"
            txtFile.Text = app_path & "test.html"
            txtParameters.Text = ""
            txtDirectory.Text = ""
            cboShowStyle.ListIndex = STYLE_NORMAL
        Case "explore"
            txtFile.Text = app_path
            txtParameters.Text = ""
            txtDirectory.Text = ""
            cboShowStyle.ListIndex = STYLE_NORMAL
        Case "find"
            txtFile.Text = app_path
            txtParameters.Text = ""
            txtDirectory.Text = ""
            cboShowStyle.ListIndex = STYLE_NORMAL
        Case "open"
            txtFile.Text = app_path & "test.html"
            txtParameters.Text = ""
            txtDirectory.Text = ""
            cboShowStyle.ListIndex = STYLE_NORMAL
        Case "print"
            txtFile.Text = app_path & "test.html"
            txtParameters.Text = ""
            txtDirectory.Text = ""
            cboShowStyle.ListIndex = STYLE_NORMAL
    End Select
End Sub
Private Sub cmdExecute_Click()
Dim show_style As Long
Dim result As Long

    ' Get the display style.
    Select Case cboShowStyle.Text
        Case "SW_HIDE"
            show_style = SW_HIDE
        Case "SW_MAXIMIZE"
            show_style = SW_MAXIMIZE
        Case "SW_MINIMIZE"
            show_style = SW_MINIMIZE
        Case "SW_RESTORE"
            show_style = SW_RESTORE
        Case "SW_SHOW"
            show_style = SW_SHOW
        Case "SW_SHOWDEFAULT"
            show_style = SW_SHOWDEFAULT
        Case "SW_SHOWMAXIMIZED"
            show_style = SW_SHOWMAXIMIZED
        Case "SW_SHOWMINIMIZED"
            show_style = SW_SHOWMINIMIZED
        Case "SW_SHOWMINNOACTIVE"
            show_style = SW_SHOWMINNOACTIVE
        Case "SW_SHOWNA"
            show_style = SW_SHOWNA
        Case "SW_SHOWNOACTIVATE"
            show_style = SW_SHOWNOACTIVATE
        Case "SW_SHOWNORMAL"
            show_style = SW_SHOWNORMAL
    End Select

    ' Perform the operation.
    result = ShellExecute( _
        Me.hWnd, cboOperation.Text, _
        txtFile.Text, txtParameters.Text, _
        txtDirectory.Text, show_style)

    If result <= 32 Then
        Select Case result
            Case 0
                MsgBox "Out of memory or resources", vbOKOnly Or vbExclamation, "Error"
            Case ERROR_FILE_NOT_FOUND
                MsgBox "File not found", vbOKOnly Or vbExclamation, "Error"
            Case ERROR_PATH_NOT_FOUND
                MsgBox "Path not found", vbOKOnly Or vbExclamation, "Error"
            Case ERROR_BAD_FORMAT
                MsgBox "Invalid .EXE file", vbOKOnly Or vbExclamation, "Error"
            Case SE_ERR_ACCESSDENIED      '  access denied
                MsgBox "File access denied", vbOKOnly Or vbExclamation, "Error"
            Case SE_ERR_ASSOCINCOMPLETE
                MsgBox "Invalid file name association", vbOKOnly Or vbExclamation, "Error"
            Case SE_ERR_DDEBUSY
                MsgBox "DDE busy", vbOKOnly Or vbExclamation, "Error"
            Case SE_ERR_DDEFAIL
                MsgBox "DDE transaction failed", vbOKOnly Or vbExclamation, "Error"
            Case SE_ERR_DDETIMEOUT
                MsgBox "DDE timeout", vbOKOnly Or vbExclamation, "Error"
            Case SE_ERR_DLLNOTFOUND
                MsgBox "DLL not found", vbOKOnly Or vbExclamation, "Error"
            Case SE_ERR_NOASSOC
                MsgBox "No associated application", vbOKOnly Or vbExclamation, "Error"
            Case SE_ERR_OOM                  '  out of memory
                MsgBox "Out of memory", vbOKOnly Or vbExclamation, "Error"
            Case SE_ERR_SHARE
                MsgBox "Sharing violation", vbOKOnly Or vbExclamation, "Error"
            Case Else
                MsgBox "Unknown error " & result, vbOKOnly Or vbExclamation, "Error"
        End Select
    End If
End Sub
Private Sub Form_Load()
    cboOperation.ListIndex = 0
    cboShowStyle.ListIndex = STYLE_NORMAL
End Sub


